PostgreSQL
=========

Installs and configures a local PostgreSQL database, and adds a user that is
granted all permissions on the database.

Requirements
------------

The host running this role must have the [`psycopg2`](https://pypi.org/project/psycopg2/)
python package installed.

Role Variables
--------------

All variables listed in `defaults/main.yml` are listed below. Other variables
used by the role are located in `vars/`, and are used to customize the role for
different operating systems. Varibles in the `vars/` directory generally should
not be overridden.

```yaml
postgresql_version: 11
```
The version of PostgreSQL that will be installed. Check the [PostgreSQL wiki](https://wiki.postgresql.org/wiki/Apt)
for a complete listing of the currently supported versions.

```yaml
postgresql_db_name: default
```
The name of the database that will be created.

```yaml
postgresql_user_name: default_user
```
The name of the user that will be created. This user will be granted all
privileges on the database defined above.

```yaml
postgresql_user_password: md5d1e4ec50515601d790dacfbecc094b8d
```
The password hash for the created user. This defaults to **changeme**, so you
should change it! It is recommended to set this value in a [vault-protected](https://docs.ansible.com/ansible/latest/user_guide/vault.html)
variables file.

Dependencies
------------

This role does not depend on any other roles.

Example Playbook
----------------

```yaml
- name: Install PostgreSQL
  hosts: servers
  become: true
  roles:
    - postgresql
```

License
-------

MIT

Author Information
------------------

This role was first created in 2019 by [Sean Newman](https://github.com/s-newman).
