import os

import testinfra.utils.ansible_runner

testinfra_hosts = testinfra.utils.ansible_runner.AnsibleRunner(
    os.environ['MOLECULE_INVENTORY_FILE']).get_hosts('all')

# Commands to run to test the permissions
POSTGRES_CMDS = [
    'CREATE TABLE ansible_test ( id integer PRIMARY KEY, name varchar(40) );',
    'INSERT INTO ansible_test VALUES ( 42, \'Test\' );',
    'DROP TABLE ansible_test;',
]


def test_postgresql_user(host):
    # Run test commands
    for command in POSTGRES_CMDS:
        assert host.run(
            'PGPASSWORD=changeme psql -U default_user -h localhost -d default'
            f'-c {command}'
        )


def test_postgresql_connection(host):
    assert host.socket('tcp://127.0.0.1:5432').is_listening


def test_postgresql_service(host):
    assert host.service('postgresql').is_running
    assert host.service('postgresql').is_enabled
